Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576607 - [abrt] gnome-control-center: frozen UI and excessive polling/allocations with WPA2-Enterprise network configured
Summary: [abrt] gnome-control-center: frozen UI and excessive polling/allocations with...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ebceb096d80a8ab0c875461b038...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 23:21 UTC by David Strauss
Modified: 2019-05-28 20:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:10:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (53.78 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: core_backtrace (9.74 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: dso_list (28.20 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: environ (3.70 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: maps (127.81 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: mountinfo (4.08 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: open_fds (1.84 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-09 23:21 UTC, David Strauss
no flags Details

Description David Strauss 2018-05-09 23:21:30 UTC
Description of problem:
This occurs when I open the "Known Wi-Fi Networks" listing. It seems isolated to when I have a WPA2-Enterprise network configured. gnome-control-center starts taking 99% CPU and mapping absurd amounts of memory (almost 100GB last I checked). strace indicates rapid polling of multiple file descriptors. I induced the SIGABRT to be able to file this report.

Version-Release number of selected component:
gnome-control-center-3.28.1-2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gnome-control-center --overview
crash_function: __poll
executable:     /usr/bin/gnome-control-center
journald_cursor: s=9dee988260b448e6a2bf1661cb7ff49e;i=ddce9;b=d6de6f7260fa411fb5f5d968ef928f71;m=107962bc10;t=56bce042aa5a2;x=f5a09a165f2131f4
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 David Strauss 2018-05-09 23:21:35 UTC
Created attachment 1434092 [details]
File: backtrace

Comment 2 David Strauss 2018-05-09 23:21:36 UTC
Created attachment 1434093 [details]
File: cgroup

Comment 3 David Strauss 2018-05-09 23:21:37 UTC
Created attachment 1434094 [details]
File: core_backtrace

Comment 4 David Strauss 2018-05-09 23:21:38 UTC
Created attachment 1434095 [details]
File: cpuinfo

Comment 5 David Strauss 2018-05-09 23:21:39 UTC
Created attachment 1434096 [details]
File: dso_list

Comment 6 David Strauss 2018-05-09 23:21:41 UTC
Created attachment 1434097 [details]
File: environ

Comment 7 David Strauss 2018-05-09 23:21:42 UTC
Created attachment 1434098 [details]
File: limits

Comment 8 David Strauss 2018-05-09 23:21:45 UTC
Created attachment 1434099 [details]
File: maps

Comment 9 David Strauss 2018-05-09 23:21:46 UTC
Created attachment 1434100 [details]
File: mountinfo

Comment 10 David Strauss 2018-05-09 23:21:47 UTC
Created attachment 1434101 [details]
File: open_fds

Comment 11 David Strauss 2018-05-09 23:21:48 UTC
Created attachment 1434102 [details]
File: proc_pid_status

Comment 12 David Strauss 2018-05-09 23:26:23 UTC
I experienced this issue on the previous Fedora release, as well. It sometimes manifests as a freeze of the Control Center interface immediately after saving the configuration of a WPA2-Enterprise network. So, I don't think it's specifically related to the "Known Wi-Fi Networks" interface.

Comment 13 Ben Cotton 2019-05-02 21:48:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:10:20 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.